> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote

> Price one scrape without running it.



## OpenAPI

````yaml /openapi-public.json post /v1/quote
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/quote:
    post:
      tags:
        - public
        - quote
      summary: Quote
      description: Price one scrape without running it.
      operationId: quote
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScrapeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_QuoteResult_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    ScrapeRequest:
      additionalProperties: false
      properties:
        blockAds:
          default: true
          title: Blockads
          type: boolean
        excludeTags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Excludetags
        formats:
          anyOf:
            - $ref: '#/components/schemas/ScrapeFormats'
            - items:
                enum:
                  - markdown
                  - html
                  - rawHtml
                  - links
                  - screenshot
                  - screenshot@fullPage
                  - assets
                  - branding
                type: string
              type: array
          title: Formats
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        includeTags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Includetags
        jsonPrompt:
          anyOf:
            - maxLength: 10000
              type: string
            - type: 'null'
          title: Jsonprompt
        jsonSchema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Jsonschema
        location:
          anyOf:
            - $ref: '#/components/schemas/Location'
            - type: 'null'
        mobile:
          default: false
          title: Mobile
          type: boolean
        onlyMainContent:
          default: true
          title: Onlymaincontent
          type: boolean
        renderJs:
          default: true
          title: Renderjs
          type: boolean
        screenshotParams:
          anyOf:
            - $ref: '#/components/schemas/ScreenshotParams'
            - type: 'null'
        timeout:
          default: 30000
          exclusiveMinimum: 0
          maximum: 120000
          title: Timeout
          type: integer
        url:
          maxLength: 8192
          minLength: 1
          title: Url
          type: string
        waitFor:
          default: 0
          maximum: 60000
          minimum: 0
          title: Waitfor
          type: integer
      required:
        - url
      title: ScrapeRequest
      type: object
    APIResponse_QuoteResult_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/QuoteResult'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[QuoteResult]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    ScrapeFormats:
      additionalProperties: false
      properties:
        assets:
          default: false
          title: Assets
          type: boolean
        branding:
          default: false
          title: Branding
          type: boolean
        html:
          default: false
          title: Html
          type: boolean
        links:
          default: false
          title: Links
          type: boolean
        markdown:
          default: false
          title: Markdown
          type: boolean
        rawHtml:
          default: false
          title: Rawhtml
          type: boolean
        screenshot:
          default: false
          title: Screenshot
          type: boolean
      title: ScrapeFormats
      type: object
    Location:
      additionalProperties: false
      properties:
        country:
          default: us
          maxLength: 2
          minLength: 2
          pattern: ^[A-Za-z]{2}$
          title: Country
          type: string
        languages:
          items:
            type: string
          title: Languages
          type: array
      title: Location
      type: object
    ScreenshotParams:
      additionalProperties: false
      properties:
        delivery:
          default: base64
          enum:
            - base64
            - url
          title: Delivery
          type: string
        format:
          default: jpeg
          enum:
            - png
            - jpeg
            - webp
          title: Format
          type: string
        fullPage:
          default: false
          title: Fullpage
          type: boolean
        quality:
          anyOf:
            - maximum: 100
              minimum: 1
              type: integer
            - type: 'null'
          description: JPEG/WebP quality; defaults to 80.
          title: Quality
      title: ScreenshotParams
      type: object
    QuoteResult:
      description: The exact price of one scrape, and why it is that price.
      properties:
        credits:
          title: Credits
          type: integer
        free:
          title: Free
          type: boolean
        reason:
          const: fresh_fetch
          title: Reason
          type: string
      required:
        - credits
        - free
        - reason
      title: QuoteResult
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
  securitySchemes:
    HTTPBearer:
      description: API key for public endpoints; Clerk session for account endpoints.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.